<back to all web services

GetTranslationsTargetLanguage

The following routes are available for this service:
GET/RestApi/translations/translations/targets

export enum TranslationStatus
{
    Marked = 101,
    Sending = 201,
    Sent = 202,
    Received = 301,
    Importing = 302,
    Imported = 303,
    Completed = 304,
    Archived = 401,
    Deleted = 402,
    Rejected = 403,
    SendingError = 501,
    ImportingError = 502,
    ReceivingError = 503,
}

export class GetTranslationsTargetLanguage implements ITranslationsFilter
{
    public Type: string[];
    public SearchText: string;
    public ActualSourceLanguage: string;
    public TargetLanguage: string[];
    public Service: string[];
    public TranslationStatus: TranslationStatus[];
    public Status: string[];
    public ProjectIds: string[];
    public StartDate?: string;
    public EndDate?: string;
    public ErrorsOnly: boolean;

    public constructor(init?: Partial<GetTranslationsTargetLanguage>) { (Object as any).assign(this, init); }
}

TypeScript GetTranslationsTargetLanguage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/translations/targets HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

[{"Code":"String","Name":"String","Count":0}]